|  | Home · All Classes · Modules

# QGraphicsScene.SceneLayers Class Reference
[QtGui module]

### Methods

- __init__ (self, SceneLayers)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- SceneLayers __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, SceneLayers f)
- SceneLayers __iand__ (self, int mask)
- int __int__ (self)
- SceneLayers __invert__ (self)
- SceneLayers __ior__ (self, SceneLayers f)
- SceneLayers __ixor__ (self, SceneLayers f)
- bool __ne__ (self, SceneLayers f)
- SceneLayers __or__ (self, SceneLayers f)
- SceneLayers __or__ (self, int f)
- SceneLayers __xor__ (self, SceneLayers f)
- SceneLayers __xor__ (self, int f)

## Detailed Description

SceneLayer may be used whenever SceneLayers is expected.

## Method Documentation

### SceneLayers.__init__ (self, SceneLayers)

### SceneLayers.__init__ (self, int)

### SceneLayers.__init__ (self)

### SceneLayers SceneLayers.__and__ (self, int mask)

### int SceneLayers.__bool__ (self)

### bool SceneLayers.__eq__ (self, SceneLayers f)

### SceneLayers SceneLayers.__iand__ (self, int mask)

### int SceneLayers.__int__ (self)

### SceneLayers SceneLayers.__invert__ (self)

### SceneLayers SceneLayers.__ior__ (self, SceneLayers f)

### SceneLayers SceneLayers.__ixor__ (self, SceneLayers f)

### bool SceneLayers.__ne__ (self, SceneLayers f)

### SceneLayers SceneLayers.__or__ (self, SceneLayers f)

### SceneLayers SceneLayers.__or__ (self, int f)

### SceneLayers SceneLayers.__xor__ (self, SceneLayers f)

### SceneLayers SceneLayers.__xor__ (self, int f)